
QGIS Application - Bug report #1800

Missing GRASS crashes application

2009-07-21 09:37 AM - peterk -

Status: Closed

Priority: Low

Assignee: peterk -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11860

Description

Using QGIS v. 1.02 Kore for Mac OS X Tiger v.10.4.11. Plug in manager crashes the application when any of the items are checked.

Reinstalled the application, same issue. Please advise. Thank-you.

History

#1 - 2009-07-21 09:42 AM - Paolo Cavallini

Please add some details: what package did you install? From which source? Thanks.

#2 - 2009-07-21 11:24 AM - peterk -

In response:

Quantum GIS, Kore v.1.02-3 for Mac OSX Tiger from http://www.kyngchaos.com/software:qgis

Just the basic QGIS application with the recommended frameworks as indicated above. No additional python downloads, etc. Pull down "Plug in Manager"

crashes the basic application when any of the possible items are selected (ie, north arrow, GPS, etc).

Please advise. Thank you.

#3 - 2009-07-21 11:37 AM - Giovanni Manghi

I'll add to ticket 3 OSX users, so they can help us find the problem.

#4 - 2009-07-21 12:01 PM - William Kyngesburye

No additional python downloads, etc.

Well, all plugins require Python.  And on OSX 10.4, an extra Python installation is required, Qgis does not use the system Python (too old).  Qgis on

Leopard does use the system Python.

I guess I don't say outright on the download page that Python is required, just that Python is required for Python support.  I think I am a little confused

about how "optional" it is, and got it wrong - if Qgis is built with Python support, then Python is required, it's the compilation stage where it's optional to

configure for Python support.
So, install Python.

#5 - 2009-07-21 12:04 PM - William Kyngesburye

PS. similar for GRASS support: my Qgis is built with GRASS support, though this is an actual plugin, so you should be able to skip installing GRASS (and

not have GRASS support).

#6 - 2009-07-21 12:18 PM - peterk -

I downloaded Python 2.5 as you suggested. Same problem with Tiger in both Kore and Pan versions. Any "plug in manager" selections crash the

application.

#7 - 2009-07-21 12:27 PM - William Kyngesburye

Log time.  Run the Console.log application.  Look for ~/Library/Logs/CrashReporter/Qgis.(crashlog I think).

Since this is Tiger, all crashes will be in one log file, the most recent crash will be at the end.  Something here might help me figure out what's up.

#8 - 2009-07-21 01:05 PM - peterk -

EXC_BAD_INSTRUCTION (0x0002)

Code (0): 0x0000000d

Code (1): 0x00000000

#9 - 2009-07-21 01:10 PM - William Kyngesburye

I need the whole log for that crash. (make sure to enclose it with the triple-braces to format it better (see the [[WikiFormatting]]))

#10 - 2009-07-21 01:31 PM - peterk -

Jul 21 16:13:51 peter-krinskys-computer crashdumpr827: qgis crashed

Jul 21 16:13:51 peter-krinskys-computer crashdumpr827: crash report written to: /Users/pkrinsky/Library/Logs/CrashReporter/qgis.crash.log

Warning: Object::connect: No such slot [[QgsComposer]]::undo()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::cut()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::copy()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::paste()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::undo()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::cut()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::copy()

Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Warning: Object::connect: No such slot [[QgsComposer]]::paste()
Warning: Object::connect:  (receiver name: 'QgsComposerBase')

Jul 21 16:23:20 peter-krinskys-computer crashdumpr838: qgis crashed

Jul 21 16:23:20 peter-krinskys-computer crashdumpr838: crash report written to: /Users/pkrinsky/Library/Logs/CrashReporter/qgis.crash.log

#11 - 2009-07-21 01:41 PM - William Kyngesburye

crash report written to: /Users/pkrinsky/Library/Logs/CrashReporter/qgis.crash.log

This is what I'm looking for, which is where you found the EXC_BAD_INSTRUCTION snippet.  I need the whole block in that crash log, from "Process:

Qgis" down thru a long string of binary images lines.

And please wrap them in the triple-braces here when you add the comment.  Or better, paste it into a new text file and attach it to this bug report.

#12 - 2009-07-23 12:06 PM - ahayes -

I am having the same problem on 10.4.11 (but not on 10.5.7). I also tried removing all frameworks and installing them again from kyngchaos.com about 30

minutes ago. I have tried both QGIS-1.0.2-3 and QGIS-1.1.1-3. I have tried both Python 2.5 and 2.6 from Python.org.

The crash happens if I select a new plug-in to enable and save.

If I don't change any of the selections and save, it doesn't crash.

I have been trying with the "Add Delimited Text Layer", "CopyrightLabel", and "Georeferencer" plug-ins - one at a time.

In 1.1.1-3, I am able to do the python plugin manager updates (although there is something funky going on there... seem to have to repeat updates twice

with restart for them to take effect) but I still get the crash when trying save in manager after having selected a previously unselected plug-in.

I have attached a log file.

#13 - 2009-07-23 12:39 PM - William Kyngesburye

I had a chance to try it at work, where we use OSX 10.4.  At first, OK.  I have GRASS installed, so I renamed it so Qgis couldn't find it.  Now it crashes at

startup with exactly that EXC_BAD_INSTRUCTION error (though strangely the thread trace is empty, so I can't verify the georefplugin reference).

So, the GRASS plugin case may be more like the problem with a missing Python than I thought.  Since GRASS support has an intermediate Qgis library

like Python support does, the Qgis application itself fails before the GRASS plugin even has a chance.  The "optional-ness" of GRASS support is tied to

whether libqgis_grass was compiled and is present, not if GRASS is present or not.

#14 - 2009-07-23 12:54 PM - ahayes -

Yep. Just tried installing GRASS.app 6.4 RC5-3 and its GDAL plug-in on my 10.4 systems and I can now add plugins without crashing. Thanks!

#15 - 2009-07-23 01:31 PM - peterk -

Am I interpreting correctly? - Install Grass 6.4 (separate application) and plug in manager of QGIS for TIger 10.4.11  will work? 

Appreciate the support. Thanks.
#16 - 2009-07-23 01:49 PM - ahayes -

Yes Peter. It's not ideal but installing both packages that come in the GRASS 6.4 installer worked for me. I'm sure William will dig into it more when he gets

a chance.

Thanks for doing such a great job maintaining all the OS X packages William!

#17 - 2009-07-23 02:28 PM - William Kyngesburye

I have seen this in the past, but I thought the problem was gone.

Not much I can do about it, it's completely mysterious to me.

#18 - 2009-07-24 12:47 AM - Giovanni Manghi

Replying to [comment:15 ahayes]:

Yep. Just tried installing GRASS.app 6.4 RC5-3 and its GDAL plug-in on my 10.4 systems and I can now add plugins without crashing. Thanks!

Hi!

this can be considered a workaround/fix?

#19 - 2009-07-24 07:00 AM - William Kyngesburye

A workaround, yes.

I think the main cause here is the missing GRASS, possibly missing Python has the same result.  The crash appears to happen in different places, possibly

depending on PPC vs Intel (my test where Qgis crashed on startup was on PPC, ahayes crash in the plugin manager was on Intel).  OSX 10.5 (Leopard)

seems to be fine - no crash when GRASS is missing, but no way to test missing Python since it's in the system.

It's possible it's a problem with Qt on Tiger, or just the way Tiger [mis-] handles not being able to load libraries.

I'd like to keep this open for now, in case someone has an idea what's going on and how to fix it.

#20 - 2009-11-29 08:06 AM - Giovanni Manghi

what is the status of this bug with the lastest versions of qgis?

#21 - 2009-11-29 09:21 AM - William Kyngesburye

Well, the problem is with specific versions of OSX, the earlier ones don't handle the missing libraries as well.  I'll have to try a build on 10.4 to see if

anything has improved.

#22 - 2010-02-10 03:15 AM - Paolo Cavallini
Is this ok for current version? Can it be closed?

#23 - 2010-02-11 06:00 AM - William Kyngesburye

Haven't had a chance to test.  OSX 10.4 is not much of a priority for me these days.

#24 - 2010-02-11 06:14 AM - William Kyngesburye

- Status changed from Open to Closed

- Resolution set to wontfix

Well, since OSX 10.4 is now in the unsupported state by Apple, and above reason, let's just say that for my OSX 10.4 QGIS binary distribution, you must

have GRASS installed.  A source build is unaffected because it will have the same presence/absence of GRASS during compilation and after installation.

Files

qgis.crash.log 22.4 KB 2009-07-23 ahayes -
